%define major 1
%define minor 10

%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:		keyutils
Version:	1.6.3
Release:	%mkrel 2
Summary:	Linux Key Management Utilities
Group:		System/Base
License:	LGPLv2+
URL:		https://git.kernel.org/pub/scm/linux/kernel/git/dhowells/keyutils.git
Source:		https://git.kernel.org/pub/scm/linux/kernel/git/dhowells/keyutils.git/snapshot/%{name}-%{version}.tar.gz
Patch0:		keyutils-request-key-conf-add-cifs.upcall.patch

%description
Utilities to control the kernel key management facility and to provide
a mechanism by which the kernel call back to userspace to get a key
instantiated.

%package -n	%{libname}
Summary:	Linux Key Management Utilities
Group:		System/Libraries

%description -n	%{libname}
Library to control the kernel key management facility and to provide
a mechanism by which the kernel call back to userspace to get a key
instantiated.

%package -n	%{devname}
Summary:	Development files for %{libname}
Group:		System/Libraries
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

Obsoletes:	%{_lib}keyutils-static-devel < 1.5.10-3

%description -n	%{devname}
Development files for %{libname}.

%prep
%setup -q
%autopatch -p1

%build
%make_build -j1 ETCDIR=%{_sysconfdir} BINDIR=/bin SBINDIR=/sbin LIBDIR=/%{_lib} \
	USRLIBDIR=%{_libdir} SHAREDIR=%{_datadir}/%{name} INCLUDEDIR=%{_includedir} \
	CFLAGS='%{optflags}' LDFLAGS='%{ldflags}'

%install
%{__make} NO_ARLIB=1 ETCDIR=%{_sysconfdir} BINDIR=/bin SBINDIR=/sbin LIBDIR=/%{_lib} \
	  USRLIBDIR=%{_libdir} SHAREDIR=%{_datadir}/%{name} INCLUDEDIR=%{_includedir} \
	  DESTDIR=%{buildroot} install

%files
%doc README LICENCE.GPL LICENCE.LGPL
%config(noreplace) %{_sysconfdir}/request-key.conf
/bin/keyctl
/sbin/request-key
/sbin/key.dns_resolver
%{_mandir}/man1/keyctl.1.*
%{_mandir}/man5/request-key.conf.5.*
%{_mandir}/man5/key.dns_resolver.conf.5.*
%{_mandir}/man8/request-key.8.*
%{_mandir}/man8/key.dns_resolver.8.*
%{_datadir}/%{name}/request-key-debug.sh

%files -n %{libname}
/%{_lib}/lib%{name}.so.%{major}
/%{_lib}/lib%{name}.so.%{major}.%{minor}

%files -n %{devname}
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
/%{_lib}/pkgconfig/lib%{name}.pc
%{_mandir}/man3/*.3.*
%{_mandir}/man7/*.7.*


%changelog
* Tue Mar 15 2022 umeabot <umeabot> 1.6.3-2.mga9
+ Revision: 1792937
- Mageia 9 Mass Rebuild

* Wed Nov 18 2020 luigiwalser <luigiwalser> 1.6.3-1.mga8
+ Revision: 1647123
- 1.6.3
- update URLs

* Thu Feb 20 2020 umeabot <umeabot> 1.6.1-2.mga8
+ Revision: 1546027
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 daviddavid <daviddavid> 1.6.1-1.mga8
+ Revision: 1485749
- new version: 1.6.1

* Tue Dec 25 2018 daviddavid <daviddavid> 1.6-1.mga7
+ Revision: 1344980
- new version: 1.6
- disable static libraries

* Sun Sep 23 2018 umeabot <umeabot> 1.5.10-2.mga7
+ Revision: 1298522
- Mageia 7 Mass Rebuild

* Tue Nov 28 2017 mjack <mjack> 1.5.10-1.mga7
+ Revision: 1180170
- Updated to version 1.5.10

* Wed Feb 03 2016 umeabot <umeabot> 1.5.9-4.mga6
+ Revision: 933613
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.5.9-3.mga5
+ Revision: 740270
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.9-2.mga5
+ Revision: 681047
- Mageia 5 Mass Rebuild

* Sun Feb 23 2014 luigiwalser <luigiwalser> 1.5.9-1.mga5
+ Revision: 595740
- 1.5.9
- add new man7 pages to -devel subpackage

* Mon Oct 21 2013 umeabot <umeabot> 1.5.8-2.mga4
+ Revision: 539311
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 luigiwalser <luigiwalser> 1.5.8-1.mga4
+ Revision: 491946
- 1.5.8

* Fri Oct 04 2013 luigiwalser <luigiwalser> 1.5.7-1.mga4
+ Revision: 491113
- 1.5.7

* Sat Aug 31 2013 luigiwalser <luigiwalser> 1.5.6-1.mga4
+ Revision: 473604
- 1.5.6

* Sat Jan 12 2013 umeabot <umeabot> 1.5.5-2.mga3
+ Revision: 356140
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 guillomovitch <guillomovitch> 1.5.5-1.mga2
+ Revision: 218589
- new version

* Thu Jan 13 2011 dmorgan <dmorgan> 1.2-11.mga1
+ Revision: 8962
- Remove mdv macros
- imported package keyutils


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2-11mdv2011.0
+ Revision: 606262
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2-10mdv2010.1
+ Revision: 519014
- rebuild

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.2-9mdv2010.0
+ Revision: 425484
- rebuild

* Tue Nov 25 2008 Nicolas Vigier <nvigier@mandriva.com> 1.2-8mdv2009.1
+ Revision: 306648
- keyctl should be in /bin (as referenced in /etc/request-key.conf)

* Tue Nov 25 2008 Pascal Terjan <pterjan@mandriva.org> 1.2-7mdv2009.1
+ Revision: 306641
- request-key needs to be in /sbin (the kernel want it there)

* Thu Oct 30 2008 Buchan Milne <bgmilne@mandriva.org> 1.2-6mdv2009.1
+ Revision: 298767
- Disable parallel build (breaks on smp if -devel package not installed)

* Wed Oct 29 2008 Buchan Milne <bgmilne@mandriva.org> 1.2-5mdv2009.1
+ Revision: 298578
- Add lines to /etc/request-key.conf for cifs.upcall required for krb5
  support for mount.cifs

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 1.2-4mdv2009.0
+ Revision: 247744
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Feb 14 2008 Thierry Vignaud <tv@mandriva.org> 1.2-2mdv2008.1
+ Revision: 168032
- fix no-buildroot-tag

* Thu Sep 06 2007 Nicolas Vigier <nvigier@mandriva.com> 1.2-2mdv2008.0
+ Revision: 80748
- build with optflags
- run ldconfig

* Thu Sep 06 2007 Nicolas Vigier <nvigier@mandriva.com> 1.2-1mdv2008.0
+ Revision: 80726
- Import keyutils

